Hjælp : pakkehåndteringen fejlmeddelelse?

Alle tekniske spørgsmål som ikke hører ind under de andre fora.
morten_s
Indlæg: 148
Tilmeldt: 8. jun 2014, 06:11
IRC nickname: morten_s

Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf morten_s » 6. dec 2016, 10:03

Oppe ved klokken er der et rund bolde der er rød med en tyk hvid steg i gemmen?

Der opstod en fejl : Kør venligist pakkehåndteringen fra højreklinksmenuen eller apt-get i terminalen, for at se hvad der er galt.

Kode: Vælg alt

Fejl beskeden var : "Fejl ; Broken Count>  0"

Dette betyder som regel, at de instalerede pakker ikke har alle de pakke de er afhænder af , installeret   



To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

morten@morten-SATELLITE-L50-B:~$ apt-get
apt 1.2.15 (amd64)
Usage: apt-get [options] command
       apt-get [options] install|remove pkg1 [pkg2 ...]
       apt-get [options] source pkg1 [pkg2 ...]

apt-get is a command line interface for retrieval of packages
and information about them from authenticated sources and
for installation, upgrade and removal of packages together
with their dependencies.

Most used commands:
  update - Hent nye lister over pakker
  upgrade - Udfør en opgradering
  install - Installer nye pakker (pakke er libc6, ikke libc6.deb)
  remove - Afinstaller pakker
  purge - Fjern pakker og konfigurationsfiler
  autoremove - Afinstaller automatisk alle ubrugte pakker
  dist-upgrade - Distributionsopgradering, se apt-get(8)
  dselect-upgrade - Følg valgene fra dselect
  build-dep - Sæt opbygningsafhængigheder op for kildetekstpakker
  clean - Slet hentede arkivfiler
  autoclean - Slet gamle hentede arkivfiler
  check - Tjek at der ikke er uopfyldte afhængigheder
  source - Hent kildetekstarkiver
  download - Hent den binære pakke til den aktuelle mappe
  changelog - Hent og vis ændringsloggen for den angivne pakke

See apt-get(8) for more information about the available commands.
Configuration options and syntax is detailed in apt.conf(5).
Information about how to configure sources can be found in sources.list(5).
Package and version choices can be expressed via apt_preferences(5).
Security details are available in apt-secure(8).
                                   Denne APT har »Super Cow Powers«.

Stra
Indlæg: 3080
Tilmeldt: 16. jun 2007, 10:26
Geografisk sted: Ikast-Herning

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf Stra » 6. dec 2016, 10:15

Prøv at køre denne kode

Kode: Vælg alt

sudo dpkg --configure -a && sudo apt-get check -y && sudo apt-get autoremove -y && sudo apt-get clean -y  && sudo apt-get update -y && sudo apt-get upgrade -y

Som løser afhængigheder, rydder op og opdaterer.
stra
Bruger Ubuntu 18.04 og 19.10 og lubuntu 19.10

AJenbo
Admin
Indlæg: 20491
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf AJenbo » 6. dec 2016, 10:19

Du har sikkert fået lavet noget rød med dine arkiver (repositories). apt-get skal (som den skriver) køres via sudo så den får admin rettigheder, du skal også fortælle den hvad den skal gøre (update, clean etc.). Hvis jeg har ret vil Stra's kommando ikke løse problemet, men den burde indikere hvor det ligger, så husk at give os output

morten_s
Indlæg: 148
Tilmeldt: 8. jun 2014, 06:11
IRC nickname: morten_s

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf morten_s » 6. dec 2016, 11:37

Stra skrev:Prøv at køre denne kode

Kode: Vælg alt

sudo dpkg --configure -a && sudo apt-get check -y && sudo apt-get autoremove -y && sudo apt-get clean -y  && sudo apt-get update -y && sudo apt-get upgrade -y

Som løser afhængigheder, rydder op og opdaterer.

morten@morten-SATELLITE-L50-B:~$ sudo dpkg --configure -a && sudo apt-get check -y && sudo apt-get autoremove -y && sudo apt-get clean -y && sudo apt-get update -y && sudo apt-get upgrade -y
[sudo] adgangskode for morten:
Beklager, prøv igen.
[sudo] adgangskode for morten:
Beklager, prøv igen.
[sudo] adgangskode for morten:

Det løser ikke fejlen?

Stra
Indlæg: 3080
Tilmeldt: 16. jun 2007, 10:26
Geografisk sted: Ikast-Herning

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf Stra » 6. dec 2016, 12:20

morten_s skrev:[sudo] adgangskode for morten:
Beklager, prøv igen.
[sudo] adgangskode for morten:
Beklager, prøv igen.
[sudo] adgangskode for morten:

Det løser ikke fejlen?
Nej, du skal skrive din kode inden enter. Du kan ikke se den bliver skrevet, men den bliver registreret.
stra
Bruger Ubuntu 18.04 og 19.10 og lubuntu 19.10

morten_s
Indlæg: 148
Tilmeldt: 8. jun 2014, 06:11
IRC nickname: morten_s

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf morten_s » 6. dec 2016, 14:44

Kode: Vælg alt

morten@morten-SATELLITE-L50-B:~$ sudo dpkg --configure -a && sudo apt-get check -y && sudo apt-get autoremove -y && sudo apt-get clean -y  && sudo apt-get update -y && sudo apt-get upgrade -y
[sudo] adgangskode for morten:
dpkg: afhængighedsproblemer forhindrer konfiguration af kde-telepathy-minimal:
 kde-telepathy-minimal afhænger af kde-config-telepathy-accounts (>= 15.04.0); men:
  Pakken 'kde-config-telepathy-accounts' er ikke installeret.

dpkg: fejl under behandling af pakken kde-telepathy-minimal (--configure):
 afhængighedsproblemer - efterlader den ukonfigureret
dpkg: afhængighedsproblemer forhindrer konfiguration af kde-telepathy:
 kde-telepathy afhænger af kde-telepathy-minimal (= 15.04.20ubuntu1); men:
  Pakken kde-telepathy-minimal er ikke sat op endnu.

dpkg: fejl under behandling af pakken kde-telepathy (--configure):
 afhængighedsproblemer - efterlader den ukonfigureret
Der opstod fejl under behandlingen:
 kde-telepathy-minimal
 kde-telepathy
morten@morten-SATELLITE-L50-B:~$


Dette for jeg frem når jeg kopier koden ind i terminal og taster min adgangs kode og sså enter?

Stra
Indlæg: 3080
Tilmeldt: 16. jun 2007, 10:26
Geografisk sted: Ikast-Herning

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf Stra » 6. dec 2016, 15:02

Prøv at køre denne kode

Kode: Vælg alt

sudo apt-get install kde-config-telepathy-accounts
og se hvad den siger.

Jeg kan se du bøvler med det samme i flere tråde. Det vil nok være en god ide at kun arbejde med en ting af gangen, for bliver det løst der tror jeg de andre bliver løst også.
stra
Bruger Ubuntu 18.04 og 19.10 og lubuntu 19.10

AJenbo
Admin
Indlæg: 20491
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf AJenbo » 6. dec 2016, 15:22

Her er hans repo setup.

/etc/apt/sources.list.d/:

Kode: Vælg alt

appgrid-ubuntu-stable-xenial.list
audio-recorder-ubuntu-ppa-xenial.list
enpass.list
flexiondotorg-ubuntu-telegram-xenial.list
gnome-terminator-ubuntu-ppa-xenial.list
google-chrome.list
heyarje-ubuntu-makemkv-beta-xenial.list
jconti-ubuntu-recent-notifications-xenial.list
libdvdcss2.list
maarten-baert-ubuntu-simplescreenrecorder-xenial.list
opera-stable.list
peterlevi-ubuntu-ppa-xenial.list
playonlinux.list
plushuang-tw-ubuntu-uget-stable-xenial.list
spotify.list
team-xbmc-ubuntu-ppa-xenial.list
teejee2008-ubuntu-ppa-xenial.list
unit193-ubuntu-encryption-xenial.list
vikoadi-ubuntu-ppa-xenial.list
vivaldi.list
webupd8team-ubuntu-tor-browser-xenial.list
wine-ubuntu-wine-builds-xenial.list

/etc/apt/sources.list (den ser korrekt ud):

Kode: Vælg alt

# deb cdrom:[Ubuntu-MATE 16.04.1 LTS _Xenial Xerus_ - Release amd64 (20160719)]/ xenial main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://dk.archive.ubuntu.com/ubuntu/ xenial main restricted
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://dk.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://dk.archive.ubuntu.com/ubuntu/ xenial universe
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial universe
deb http://dk.archive.ubuntu.com/ubuntu/ xenial-updates universe
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://dk.archive.ubuntu.com/ubuntu/ xenial multiverse
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://dk.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://dk.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://dk.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu xenial partner
deb-src http://archive.canonical.com/ubuntu xenial partner

deb http://security.ubuntu.com/ubuntu xenial-security main restricted
# deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
# deb-src http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse
# deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse

AJenbo
Admin
Indlæg: 20491
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf AJenbo » 6. dec 2016, 15:44

Hvad får du ved følgende:

Kode: Vælg alt

cat /etc/apt/sources.list.d/opera-stable.list


Bruger du:
AppGrid.
Audio Recorder.
EnPass.
Telegram.
Seneste udgave af Gnome Terminator.
makemkv (konvater DVD til MKV filer)
Recent Notifications.
Afspiller du DVD'er
SimpleScreenRecorder (måske Kazam var et muligt alternativ).
Variety (skifter bagrunds billede)
uGet
Seneste udgave af XBMC (kodi)
Nogle tilfældige opdateringer fra Tony George (eks conky-manager)
En række tvivlsomme opdateringer fra Unit 193 (eks. youtube-dl)
KDE Connect Indicator
Vivaldi browseren
Seneste opdaterede Tor
Udviklings filerne til Wine
Seneste udgave af Play-on-Linux

Det er ikke fordi du skal fjerne alle disse men jo færre du har jo mindre skal vi gennemgå.

Hvad får du ved:

Kode: Vælg alt

 grep -v '^\s*#' /etc/apt/sources.list.d/*.list

morten_s
Indlæg: 148
Tilmeldt: 8. jun 2014, 06:11
IRC nickname: morten_s

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf morten_s » 6. dec 2016, 15:53

Jeg har valgt at slette min harddisk og geninstaller Mate.

AJenbo
Admin
Indlæg: 20491
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Hjælp : pakkehåndteringen fejlmeddelelse?

Indlægaf AJenbo » 6. dec 2016, 15:54

Der er en konflikt mellem den version af telepathy som du har forsøgt at installere og så google-chat, du kan vælge at overskrive config filen fra google-chat med den fra telepathy ved at kørre følgende kommando:

Kode: Vælg alt

sudo apt-get -o Dpkg::Options::="--force-overwrite" install -f

Tilbage til "Tekniske spørgsmål generelt"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster